<?xml version="1.0" encoding="utf-8"?>

<File Version="1.0">
	<ExtensionPoint ID="CascadeStyleSheet" Enable="1">
		<Plugin ID="GK::CustomizeUI" Bundle="..\CSS.dll" Enable="1">
			<ExtraConfig>
				<Item Name="Default" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="" BGImage="Image\GK\Theme1\DialogCustomize.png" SizeToImage="1"/>
				<Item Name="PushButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_PUSHBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="IconButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_PUSHBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ToggleButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_AUTOCHECKBOX | BS_PUSHLIKE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="GroupBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | BS_GROUPBOX" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="CheckBox" Width="59" Height="16" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_AUTOCHECKBOX" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="RadioButton" Width="57" Height="16" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_AUTORADIOBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="TextEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="NumberEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="ComboBox" Width="72" Height="21" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_BORDER | CBS_DROPDOWNLIST" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ListBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | LBS_NOTIFY | LBS_NOINTEGRALHEIGHT" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="16" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="Label" Width="29" Height="14" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_CENTER" StyleEx="" FontName="" FontHeight="14" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="" BGTrans="1"/>
				<Item Name="Line" Width="100" Height="1" Style="WS_CHILD | WS_VISIBLE | SS_GRAYRECT" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ScrollBar" Width="60" Height="18" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | SBS_HORZ" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="SliderCtrl" Width="150" Height="24" Style="WS_CHILD | WS_VISIBLE | TBS_HORZ | TBS_BOTH | TBS_TOOLTIPS | TBS_NOTICKS" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ProgressBar" Width="120" Height="23" Style="WS_CHILD | WS_VISIBLE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="TabCtrl" Width="75" Height="49" Style="WS_CHILD | WS_VISIBLE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="IPAddressCtrl" Width="150" Height="24" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="MessageCtrl" Width="75" Height="49" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | WS_HSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="LinkCtrl" Width="29" Height="13" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="MaskEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ImageBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
				<Item Name="ImageList" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTWindowPrototype" Enable="1">
		<Plugin ID="GK::CustomizeUI" Bundle="..\CWT.dll" Enable="1">
			<Collaboration ExtensionPointID="CascadeStyleSheet" PluginID="GK::CustomizeUI"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GK::CustomizeUI"/>
			<ExtraConfig>
				<FreeLayout>
					<!--Title Bar-->
					<VirtualBox X="860" Y="25">
						<ColumnLayout ColSpace="20">
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_CUSTOM_Skin">
								<Image File="Image\GK\Theme1\button_setting_normal.png"/>
								<Image File="Image\GK\Theme1\button_setting_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_CUSTOM_Min">
								<Image File="Image\GK\Theme1\button_min_normal.png"/>
								<Image File="Image\GK\Theme1\button_min_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_CUSTOM_Close">
								<Image File="Image\GK\Theme1\button_close_normal.png"/>
								<Image File="Image\GK\Theme1\button_close_over.png"/>
							</ImageList>
						</ColumnLayout>
					</VirtualBox>

					<!--Switch Panel-->
					<ImageList X="307" Y="30" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_CUSTOM_PanelTab_0">
						<Image File="Image\GK\Theme1\tab_normal.png"/>
						<Image File="Image\GK\Theme1\tab_over.png"/>
					</ImageList>
					<ImageList X="436" Y="30" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_CUSTOM_PanelTab_1">
						<Image File="Image\GK\Theme1\tab_inactive.png"/>
						<Image File="Image\GK\Theme1\tab_over.png"/>
					</ImageList>
					<ImageList X="565" Y="30" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_CUSTOM_PanelTab_2">
						<Image File="Image\GK\Theme1\tab_inactive.png"/>
						<Image File="Image\GK\Theme1\tab_over.png"/>
					</ImageList>
					<ImageList X="694" Y="30" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_CUSTOM_PanelTab_3">
						<Image File="Image\GK\Theme1\tab_inactive.png"/>
						<Image File="Image\GK\Theme1\tab_over.png"/>
					</ImageList>
					<Label X="307" Y="42" Width="144" Text="鍵盤自定義" FontHeight="20" FGColor="#ffaa00" ID="GK::ID_CUSTOM_TabLabel_Custom"/>
					<Label X="436" Y="42" Width="144" Text="背光" FontHeight="20" FGColor="#ffffff" ID="GK::ID_CUSTOM_TabLabel_Lighting"/>
					<Label X="565" Y="42" Width="144" Text="遊戲模式" FontHeight="20" FGColor="#ffffff" ID="GK::ID_CUSTOM_TabLabel_GameMode"/>
					<Label X="694" Y="42" Width="144" Text="巨集" FontHeight="20" FGColor="#ffffff" ID="GK::ID_CUSTOM_TabLabel_MacroUI"/>

					<!--Profiles-->
					<VirtualBox X="28" Y="27">
						<RowLayout RowSpace="6">
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_CUSTOM_Profile_0">
								<Image File="Image\GK\Theme1\button_profile_normal.png"/>
								<Image File="Image\GK\Theme1\button_profile_over.png"/>
							</ImageList>
						</RowLayout>
					</VirtualBox>
					<VirtualBox X="28" Y="32">
						<RowLayout RowSpace="6">
							<Label FontHeight="20" Width="253" Height="20" FGColor="#ffffff" ID="GK::ID_CUSTOM_ProfileLabel_0"/>
						</RowLayout>
					</VirtualBox>

					<!--invisible widget: Customize key candidate-->
					<ListBox Visible="0" ID="GK::ID_CUSTOM_KeyMenu_Tooltip">
						<!--top menu-->
						<Item>鍵</Item>
						<Item>鍵</Item>
						<Item>滑鼠</Item>
						<Item>巨集</Item>
						<Item>連擊鍵</Item>
						<Item>啟動程式</Item>
						<Item>多媒體鍵</Item>
						<Item>Windows快捷鍵</Item>
						<Item>禁用</Item>
					</ListBox>

					<!--invisible widget: Customize key candidate-->
					<ListBox Visible="0" ID="GK::ID_CUSTOM_KeyMenu_Level_0"><!--top menu-->
						<Item>預設</Item>
						<Item>鍵盤功能</Item>
						<Item>滑鼠功能</Item>
						<Item>巨集</Item>
						<Item>連擊鍵</Item>
						<Item>啓動程式</Item>
						<Item>多媒體鍵</Item>
						<Item>Windows快捷鍵</Item>
						<Item>禁用</Item>
					</ListBox>
					<ListBox Visible="0" ID="GK::ID_CUSTOM_KeyMenu_Level_0_2"><!--mouse function menu-->
						<Item>左鍵</Item>
						<Item>右鍵</Item>
						<Item>中鍵</Item>
						<Item>4Key</Item>
						<Item>5Key</Item>
						<Item>向上滾動</Item>
						<Item>向下滾動</Item>
					</ListBox>
					<ListBox Visible="0" ID="GK::ID_CUSTOM_KeyMenu_Level_0_3"><!--Macro mode menu-->
						<Item>播放一次</Item>
						<Item>播放多次</Item>
						<Item>再次按鍵結束</Item>
					</ListBox>
					<!--Switch Profile menu-->
					<!--ListBox Visible="0" ID="GK::ID_CUSTOM_KeyMenu_Level_0_4">
						<Item>情景模式1</Item>
						<Item>情景模式2</Item>
						<Item>情景模式3</Item>
					</ListBox-->
					<ListBox Visible="0" ID="GK::ID_CUSTOM_KeyMenu_Level_0_6"><!--media key menu-->
						<Item>音量減小</Item>
						<Item>音量增大</Item>
						<Item>静音</Item>
						<Item>播放/暂停</Item>
						<Item>前一首曲目</Item>
						<Item>下一首曲目</Item>
						<Item>停止</Item>
						<Item>首頁</Item>
						<Item>我的電腦</Item>
						<Item>電子郵件</Item>
						<Item>計算機</Item>
					</ListBox>
					<ListBox Visible="0" ID="GK::ID_CUSTOM_KeyMenu_Level_0_7"><!--windows hot-key menu-->
						<Item>啓動工作管理員</Item>
						<Item>啓動系統效能設定</Item>
						<Item>顯示桌面</Item>
						<Item>應用程式循環</Item>
						<Item>切換應用程式</Item>
						<Item>關閉應用程式</Item>
						<Item>剪下</Item>
						<Item>複製</Item>
						<Item>貼上</Item>
					</ListBox>

					<!--invisible widget: macro edit-->
					<ListBox Visible="0" ID="GK::ID_CUSTOM_MacroMenu_Level_0_4"><!--Macro mouse event 1 menu-->
						<Item>左键</Item>
						<Item>右键</Item>
						<Item>中键</Item>
						<Item>4Key</Item>
						<Item>5Key</Item>
						<Item>滾輪</Item>
					</ListBox>
					<ListBox Visible="0" ID="GK::ID_CUSTOM_MacroMenu_Level_0_5_0"><!--Macro mouse event 2-0 menu-->
						<Item>按下</Item>
						<Item>彈起</Item>
					</ListBox>
					<ListBox Visible="0" ID="GK::ID_CUSTOM_MacroMenu_Level_0_5_1"><!--Macro mouse event 2-1 menu-->
						<Item>上滾</Item>
						<Item>下滾</Item>
					</ListBox>

					<!--Logo-->
					<ImageBox X="20" Y="20" SizeToImage="1" ID="GK::ID_CUSTOM_Logo_TopLeft" File="Image\GK\Theme1\logo_top_left.png"/>

					<!--Key Decorator-->
					<KeyDecoratorCustomizeWnd X="10"	Y="10" Width="10" Height="10" Text="" ID="GK::ID_CUSTOM_KeyDecoratoTemp"/> <!--temaporay First invisible bug /-->
					<!--Line 1-->

					<!--Line 2-->
					<KeyDecoratorCustomizeWnd X="253" Y="195" Width="23" Height="22" Text="ESC" ID="GK::ID_CUSTOM_KeyDecorator_1_1"/>
					<KeyDecoratorCustomizeWnd X="288" Y="195" Width="23" Height="22" Text="1" ID="GK::ID_CUSTOM_KeyDecorator_1_2"/>
					<KeyDecoratorCustomizeWnd X="326" Y="195" Width="23" Height="22" Text="2" ID="GK::ID_CUSTOM_KeyDecorator_1_3"/>
					<KeyDecoratorCustomizeWnd X="362" Y="195" Width="23" Height="22" Text="3" ID="GK::ID_CUSTOM_KeyDecorator_1_4"/>
					<KeyDecoratorCustomizeWnd X="400" Y="195" Width="23" Height="22" Text="4" ID="GK::ID_CUSTOM_KeyDecorator_1_5"/>
					<KeyDecoratorCustomizeWnd X="436" Y="195" Width="23" Height="22" Text="5" ID="GK::ID_CUSTOM_KeyDecorator_1_6"/>
					<KeyDecoratorCustomizeWnd X="471" Y="195" Width="23" Height="22" Text="6" ID="GK::ID_CUSTOM_KeyDecorator_1_7"/>
					<KeyDecoratorCustomizeWnd X="507" Y="195" Width="23" Height="22" Text="7" ID="GK::ID_CUSTOM_KeyDecorator_1_8"/>
					<KeyDecoratorCustomizeWnd X="544" Y="195" Width="23" Height="22" Text="8" ID="GK::ID_CUSTOM_KeyDecorator_1_9"/>
					<KeyDecoratorCustomizeWnd X="581" Y="195" Width="23" Height="22" Text="9" ID="GK::ID_CUSTOM_KeyDecorator_1_10"/>
					<KeyDecoratorCustomizeWnd X="618" Y="195" Width="23" Height="22" Text="0" ID="GK::ID_CUSTOM_KeyDecorator_1_11"/>
					<KeyDecoratorCustomizeWnd X="652" Y="195" Width="23" Height="22" Text="-" ID="GK::ID_CUSTOM_KeyDecorator_1_12"/>
					<KeyDecoratorCustomizeWnd X="690" Y="195" Width="23" Height="22" Text="=" ID="GK::ID_CUSTOM_KeyDecorator_1_13"/>
					<KeyDecoratorCustomizeWnd X="727" Y="195" Width="52" Height="22" Text="Back" ID="GK::ID_CUSTOM_KeyDecorator_5_13"/>
					<KeyDecoratorCustomizeWnd X="804" Y="195" Width="23" Height="22" Text="Insert" ID="GK::ID_CUSTOM_KeyDecorator_6_8"/>
					<KeyDecoratorCustomizeWnd X="839" Y="195" Width="23" Height="22" Text="Home" ID="GK::ID_CUSTOM_KeyDecorator_6_9"/>

					<!--Line 3-->
					<KeyDecoratorCustomizeWnd X="257" Y="230" Width="35" Height="22" Text="Tab" ID="GK::ID_CUSTOM_KeyDecorator_2_1"/>
					<KeyDecoratorCustomizeWnd X="310" Y="230" Width="23" Height="22" Text="Q" ID="GK::ID_CUSTOM_KeyDecorator_2_2"/>
					<KeyDecoratorCustomizeWnd X="346" Y="230" Width="23" Height="22" Text="W" ID="GK::ID_CUSTOM_KeyDecorator_2_3"/>
					<KeyDecoratorCustomizeWnd X="381" Y="230" Width="23" Height="22" Text="E" ID="GK::ID_CUSTOM_KeyDecorator_2_4"/>
					<KeyDecoratorCustomizeWnd X="417" Y="230" Width="23" Height="22" Text="R" ID="GK::ID_CUSTOM_KeyDecorator_2_5"/>
					<KeyDecoratorCustomizeWnd X="453" Y="230" Width="23" Height="22" Text="T" ID="GK::ID_CUSTOM_KeyDecorator_2_6"/>
					<KeyDecoratorCustomizeWnd X="489" Y="230" Width="23" Height="22" Text="Y" ID="GK::ID_CUSTOM_KeyDecorator_2_7"/>
					<KeyDecoratorCustomizeWnd X="525" Y="230" Width="23" Height="22" Text="U" ID="GK::ID_CUSTOM_KeyDecorator_2_8"/>
					<KeyDecoratorCustomizeWnd X="562" Y="230" Width="23" Height="22" Text="I" ID="GK::ID_CUSTOM_KeyDecorator_2_9"/>
					<KeyDecoratorCustomizeWnd X="600" Y="230" Width="23" Height="22" Text="O" ID="GK::ID_CUSTOM_KeyDecorator_2_10"/>
					<KeyDecoratorCustomizeWnd X="634" Y="230" Width="23" Height="22" Text="P" ID="GK::ID_CUSTOM_KeyDecorator_2_11"/>
					<KeyDecoratorCustomizeWnd X="672" Y="230" Width="23" Height="22" Text="{" ID="GK::ID_CUSTOM_KeyDecorator_2_12"/>
					<KeyDecoratorCustomizeWnd X="708" Y="230" Width="23" Height="22" Text="}" ID="GK::ID_CUSTOM_KeyDecorator_2_13"/>
					<KeyDecoratorCustomizeWnd X="747" Y="230" Width="37" Height="22" Text="|" ID="GK::ID_CUSTOM_KeyDecorator_3_13"/>
					<KeyDecoratorCustomizeWnd X="804" Y="230" Width="23" Height="22" Text="Delete" ID="GK::ID_CUSTOM_KeyDecorator_6_11"/>
					<KeyDecoratorCustomizeWnd X="839" Y="230" Width="23" Height="22" Text="End" ID="GK::ID_CUSTOM_KeyDecorator_6_12"/>

					<!--Line 4-->
					<KeyDecoratorCustomizeWnd X="258" Y="267" Width="43" Height="22" Text="Cap" ID="GK::ID_CUSTOM_KeyDecorator_3_1"/>
					<KeyDecoratorCustomizeWnd X="316" Y="267" Width="23" Height="22" Text="A" ID="GK::ID_CUSTOM_KeyDecorator_3_2"/>
					<KeyDecoratorCustomizeWnd X="354" Y="267" Width="23" Height="22" Text="S" ID="GK::ID_CUSTOM_KeyDecorator_3_3"/>
					<KeyDecoratorCustomizeWnd X="391" Y="267" Width="23" Height="22" Text="D" ID="GK::ID_CUSTOM_KeyDecorator_3_4"/>
					<KeyDecoratorCustomizeWnd X="426" Y="267" Width="23" Height="22" Text="F" ID="GK::ID_CUSTOM_KeyDecorator_3_5"/>
					<KeyDecoratorCustomizeWnd X="464" Y="267" Width="23" Height="22" Text="G" ID="GK::ID_CUSTOM_KeyDecorator_3_6"/>
					<KeyDecoratorCustomizeWnd X="501" Y="267" Width="23" Height="22" Text="H" ID="GK::ID_CUSTOM_KeyDecorator_3_7"/>
					<KeyDecoratorCustomizeWnd X="536" Y="267" Width="23" Height="22" Text="J" ID="GK::ID_CUSTOM_KeyDecorator_3_8"/>
					<KeyDecoratorCustomizeWnd X="574" Y="267" Width="23" Height="22" Text="K" ID="GK::ID_CUSTOM_KeyDecorator_3_9"/>
					<KeyDecoratorCustomizeWnd X="609" Y="267" Width="23" Height="22" Text="L" ID="GK::ID_CUSTOM_KeyDecorator_3_10"/>
					<KeyDecoratorCustomizeWnd X="644" Y="267" Width="23" Height="22" Text=";" ID="GK::ID_CUSTOM_KeyDecorator_3_11"/>
					<KeyDecoratorCustomizeWnd X="680" Y="267" Width="23" Height="22" Text="'" ID="GK::ID_CUSTOM_KeyDecorator_3_12"/>
					<KeyDecoratorCustomizeWnd X="720" Y="267" Width="59" Height="22" Text="enter" ID="GK::ID_CUSTOM_KeyDecorator_4_13"/>
					<KeyDecoratorCustomizeWnd X="804" Y="267" Width="23" Height="22" Text="Pause" ID="GK::ID_CUSTOM_KeyDecorator_6_7"/>
					<KeyDecoratorCustomizeWnd X="839" Y="267" Width="23" Height="22" Text="Page up" ID="GK::ID_CUSTOM_KeyDecorator_6_10"/>

					<!--Line 5-->
					<KeyDecoratorCustomizeWnd X="260" Y="303" Width="58" Height="22" Text="Lshift" ID="GK::ID_CUSTOM_KeyDecorator_4_1"/>
					<KeyDecoratorCustomizeWnd X="336" Y="303" Width="23" Height="22" Text="Z" ID="GK::ID_CUSTOM_KeyDecorator_4_2"/>
					<KeyDecoratorCustomizeWnd X="371" Y="303" Width="23" Height="22" Text="X" ID="GK::ID_CUSTOM_KeyDecorator_4_3"/>
					<KeyDecoratorCustomizeWnd X="407" Y="303" Width="23" Height="22" Text="C" ID="GK::ID_CUSTOM_KeyDecorator_4_4"/>
					<KeyDecoratorCustomizeWnd X="444" Y="303" Width="23" Height="22" Text="V" ID="GK::ID_CUSTOM_KeyDecorator_4_5"/>
					<KeyDecoratorCustomizeWnd X="479" Y="303" Width="23" Height="22" Text="B" ID="GK::ID_CUSTOM_KeyDecorator_4_6"/>
					<KeyDecoratorCustomizeWnd X="517" Y="303" Width="23" Height="22" Text="N" ID="GK::ID_CUSTOM_KeyDecorator_4_7"/>
					<KeyDecoratorCustomizeWnd X="553" Y="303" Width="23" Height="22" Text="M" ID="GK::ID_CUSTOM_KeyDecorator_4_8"/>
					<KeyDecoratorCustomizeWnd X="589" Y="303" Width="23" Height="22" Text="," ID="GK::ID_CUSTOM_KeyDecorator_4_9"/>
					<KeyDecoratorCustomizeWnd X="626" Y="303" Width="23" Height="22" Text="." ID="GK::ID_CUSTOM_KeyDecorator_4_10"/>
					<KeyDecoratorCustomizeWnd X="662" Y="303" Width="23" Height="22" Text="?" ID="GK::ID_CUSTOM_KeyDecorator_4_11"/>
					<KeyDecoratorCustomizeWnd X="704" Y="303" Width="75" Height="22" Text="Rshift" ID="GK::ID_CUSTOM_KeyDecorator_4_12"/>
					<KeyDecoratorCustomizeWnd X="804" Y="303" Width="23" Height="22" Text="Up" ID="GK::ID_CUSTOM_KeyDecorator_5_11"/>
					<KeyDecoratorCustomizeWnd X="839" Y="303" Width="23" Height="22" Text="Page down" ID="GK::ID_CUSTOM_KeyDecorator_6_13"/>
		
					<!--Line 6-->
					<KeyDecoratorCustomizeWnd X="253" Y="341" Width="31" Height="22" Text="LCtrl" ID="GK::ID_CUSTOM_KeyDecorator_5_1"/>
					<KeyDecoratorCustomizeWnd X="300" Y="341" Width="31" Height="22" Text="LWin" ID="GK::ID_CUSTOM_KeyDecorator_5_2"/>
					<KeyDecoratorCustomizeWnd X="344" Y="341" Width="31" Height="22" Text="LAlt" ID="GK::ID_CUSTOM_KeyDecorator_5_3"/>
					<KeyDecoratorCustomizeWnd X="407" Y="341" Width="175" Height="22" Text="Space" ID="GK::ID_CUSTOM_KeyDecorator_5_4"/>
					<KeyDecoratorCustomizeWnd X="617" Y="341" Width="30" Height="22" Text="RAlt" ID="GK::ID_CUSTOM_KeyDecorator_5_5"/>
					<KeyDecoratorCustomizeWnd X="662" Y="341" Width="30" Height="22" Text="FN" ID="GK::ID_CUSTOM_KeyDecorator_5_6"/>
					<KeyDecoratorCustomizeWnd X="707" Y="341" Width="30" Height="22" Text="RCtrl" ID="GK::ID_CUSTOM_KeyDecorator_5_8"/>
					<KeyDecoratorCustomizeWnd X="766" Y="341" Width="23" Height="22" Text="Left" ID="GK::ID_CUSTOM_KeyDecorator_5_9"/>
					<KeyDecoratorCustomizeWnd X="804" Y="341" Width="23" Height="22" Text="Down" ID="GK::ID_CUSTOM_KeyDecorator_5_10"/>
					<KeyDecoratorCustomizeWnd X="839" Y="341" Width="23" Height="22" Text="Right" ID="GK::ID_CUSTOM_KeyDecorator_5_12"/>

					<!--invisible widget: keyboard tooltip-->
					<ImageBox Visible="0" SizeToImage="1" ID="GK::ID_CUSTOM_KeyToolTip_BackGround" File="Image\GK\Theme1\tooltip_key_definition.png"/>
					<Label Visible="0" FontBold="1" Width="100" Text="ToolTip text default" FontHeight="18" FGColor="#00D7ff" FilterSpecChar="1" ID="GK::ID_CUSTOM_KeyToolTip_Default"/>
					<Label Visible="0" Width="100" Text="ToolTip text Customize0" FontHeight="15" FGColor="#ffffff" FilterSpecChar="1" ID="GK::ID_CUSTOM_KeyToolTip_Customize0"/>
					<Label Visible="0" Width="100" Text="ToolTip text Customize1" FontHeight="15" FGColor="#7d7d7d" FilterSpecChar="1" ID="GK::ID_CUSTOM_KeyToolTip_Customize1"/>

				</FreeLayout>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTEventListener" Enable="1">
		<Plugin ID="GK::CustomizeUI" Bundle="GamingKeyboardMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GK::SkinDialog"/>	
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GK::ProfileDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GK::MacroEditDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GK::KeyboardKeyDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="GK::ProfileDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="GK::KeyboardKeyDialog"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbGamingKeyboardWriter" PluginID="GamingKeyboard"/>
		</Plugin>
	</ExtensionPoint>

	<!--ExtensionPoint ID="I_PbDialogInvokerExt" Enable="1">
		<Plugin ID="GK::CustomizeUI" Bundle="GamingKeyboardMain.dll" Enable="1">
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbSkinTextColor" PluginID="GK::CustomizeUI"/>
			<Collaboration ExtensionPointID="I_PbSkinLanguage" PluginID="GK::CustomizeUI"/>
		</Plugin>
	</ExtensionPoint-->

	<ExtensionPoint ID="GK::I_WidgetKeyDecoratorEventHandler" Enable="1">
		<Plugin ID="GamingKeyboard" Bundle="GamingKeyboardMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GK::KeyboardKeyDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="GK::KeyboardKeyDialog"/>
			<Collaboration ExtensionPointID="CWTWidgetFactoryEx" PluginID="GK::KeyDecorator"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GK::LightingUI"/>
		</Plugin>
	</ExtensionPoint>
</File>